List FPP REST Users
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/fppServers/{fppServerId}/restUsers
Lists REST users of an FPP server
Request
Path Parameters
-
fppServerId(required): string
ID of the FPP Server
Query Parameters
-
limit: integer(int32)
Limit count of the items in the responseExample:
10 -
page: string
Marker indicating the next set (page) of itemsExample:
b2Zmc2V0OjA -
sort: string
Comma separated list of fields along with an optional sort direction. The supported attribute of sorting is 'username'.Valid sort directions are 'asc' and 'desc'. If sort direction is not specified, 'asc' is used by default.Example:
username:asc
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Ok. REST users retrived.
Root Schema : RestUserCollection
Type:
objectList of FPP REST users registered with FPP Server
Show Source
-
items: array
items
Array of REST users
-
targetId: string
ID of the Target
Match All
List of FPP REST users registered with FPP Server
List of FPP REST users registered with FPP Server
Show Source
-
object
Pagination
Collection of items with links
-
object
schema
Target details
Nested Schema : Pagination
Type:
objectCollection of items with links
Show Source
-
count: integer
Count of this fetchExample:
40 -
links: object
Links
Represents the array of links
-
total: integer
total countExample:
40
Nested Schema : schema
Type:
objectTarget details
Show Source
-
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Type of the targetExample:
oracle_database
Nested Schema : items
Type:
objectMatch All
Show Source
-
object
CreateRestUserDetails
Details of REST user
Nested Schema : CreateRestUserDetails
Type:
objectDetails of REST user
Show Source
-
password(required): string
(password)
Password to create the REST credential in EM, which is required to make a call to the FPP REST URLExample:
welcome1 -
username(required): string
REST username to be registered with the FPP server
Nested Schema : Links
Type:
objectRepresents the array of links
Show Source
-
next: object
Link
A link
-
previous: object
Link
A link
-
self: object
Link
A link
Examples
400 Response
Bad Request.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
401 Response
Unauthorized.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
403 Response
Forbidden.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
404 Response
Not Found.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
500 Response
Internal Server Error.
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty
503 Response
Service Unavailable
Headers
-
ORCL-EM-RETRY-LINK:
Link of the request that failed.
Root Schema : ErrorResponse
Type:
objectResponse sent in the case of an error.
Show Source
-
code(required): string
Error code.Example:
InvalidParameter -
message(required): string
Error description.Example:
Parameter cannot be empty